
%define oname kactivities-stats


%define kf5activities_major 5
%define libkf5activities-stats %mklibname kf5activities-stats %{kf5activities_major}
%define kf5activities_devel_stats %mklibname kf5activities-stats -d

Summary:        KDE Frameworks 5 Tier 3 library to organize the user work in separate activity
Name:           kactivities5-stats
Version: 		5.33.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{oname}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: %{_lib}kconfig-devel >= 5.20.0
BuildRequires: %{_lib}kcoreaddons-devel >= 5.20.0
BuildRequires: %{_lib}kio-devel >= 5.20.0
BuildRequires: %{_lib}kf5windowsystem-devel >= 5.20.0


%description
A KDE Frameworks 5 Tier 3 API for using and interacting with Activities as a
consumer, application adding information to them or as an activity manager.

%files 
%_kf5_libdir/libKF5ActivitiesStats.so.1
#--------------------------------------------------------------------
%_kf5_libdir/libKF5ActivitiesStats.so.%{kf5activities_major}*
#--------------------------------------------------------------------

%package -n %kf5activities_devel_stats

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version
Provides:       %name-devel = %{version}
Provides:		devel(libKF5ActivitiesStats)

%description -n %kf5activities_devel_stats
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5activities_devel_stats

%_kf5_includedir
%_kf5_libdir/cmake
%_kf5_libdir/libKF5ActivitiesStats.so
%_qt5_prefix/mkspecs/modules/qt_KActivitiesStats.pri
%exclude %_libdir/pkgconfig/libKActivitiesStats.pc

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Tue Apr 18 2017 adrianomorselli <adrianomorselli> 5.33.0-1uplos2017
- update
